org.apache.tinkerpop.gremlin.jsr223

## Class CoreGremlinModule

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.CoreGremlinModule

- All Implemented Interfaces:
    GremlinModule

  Deprecated.
  As of release 3.2.4, replaced by `CoreGremlinPlugin`.

      @Deprecated
      public final class CoreGremlinModule
      extends Object
      implements GremlinModule

  This module is required for a `ScriptEngine` to be Gremlin-enabled.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CoreGremlinModule` | `INSTANCE` Deprecated. As of 3.2.4, replaced by `instance()` as this field will later become private.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<Customizer[]>` | `getCustomizers(String scriptEngineName)` Deprecated. Gets the list of `Customizer` implementations to assign to a new `GremlinScriptEngine`.
    `String` | `getName()` Deprecated. The name of the module.
    `static CoreGremlinModule` | `instance()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.jsr223.GremlinModule

      `getCustomizers, remoteAcceptor, requireRestart`

- - ### Field Detail

    - #### INSTANCE

          @Deprecated
          public static final CoreGremlinModule INSTANCE

      Deprecated. As of 3.2.4, replaced by `instance()` as this field will later become private.

  - ### Method Detail

    - #### instance

          public static CoreGremlinModule instance()

      Deprecated.

    - #### getCustomizers

          public Optional<Customizer[]> getCustomizers(String scriptEngineName)

      Deprecated.
      Description copied from interface: `GremlinModule`
      Gets the list of `Customizer` implementations to assign to a new `GremlinScriptEngine`. The implementation should filter the returned `Customizers` according to the supplied name of the Gremlin-enabled `ScriptEngine`. By providing a filter, `GremlinModule` developers can have the ability to target specific `ScriptEngines`.
      Specified by:
        `getCustomizers` in interface `GremlinModule`
      Parameters:
        `scriptEngineName` - The name of the `ScriptEngine` or null to get all the available `Customizers`

    - #### getName

          public String getName()

      Deprecated.
      Description copied from interface: `GremlinModule`
      The name of the module. This name should be unique (use a namespaced approach) as naming clashes will prevent proper module operations. Modules developed by TinkerPop will be prefixed with "tinkerpop." For example, TinkerPop's implementation of Giraph would be named "tinkerpop.giraph". If Facebook were to do their own implementation the implementation might be called "facebook.giraph".
      Specified by:
        `getName` in interface `GremlinModule`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.